#include<iostream>
using namespace std;
int n,k,x;
void unos()
{
    cin>>n>>k>>x;
}
void niz(int &s,int a)
{
    for(int i=1;i<=a;i++)
    {
        if (s>1){
        s--;
        cout<<i<<' ';}
    }
}
void ispis()
{
    int i,j,l,s=0;
    s=n;
    if (k==0)
    {

    }
    else
    {
        l=n/k;
        //cout<<l;
        while(s>1)
        {
            niz(s,l);
        }
        cout<<x+1;
    }
}
int main()
{
    unos();
    ispis();
}